All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata.lookup
Class LookupResults

    com.sas.services.information.metadata.lookup.LookupResults

All Implemented Interfaces:
  LookupResultsInterface

Deprecated.

    @Deprecated
    public final class LookupResults

implements LookupResultsInterface

Constructor Summary
`LookupResults(java.lang.String oldValue, java.lang.String newValue)` Deprecated.

Method Summary
`java.lang.String` | `getNewValue()` Deprecated.
`java.lang.String` | `getOldValue()` Deprecated.
`boolean` | `success()` Deprecated. Convenience method.

Constructor Detail

### LookupResults

    public LookupResults(java.lang.String oldValue,
                         java.lang.String newValue)

  Deprecated.

Method Detail

### getNewValue

    public java.lang.String getNewValue()

  Deprecated.
  Specified by:
    `getNewValue` in interface `LookupResultsInterface`
  Returns:
    newValue. The result of the lookup, or null if no best guess is found. If it is a PathUrl, it is in 9.2 format.

### getOldValue

    public java.lang.String getOldValue()

  Deprecated.
  Specified by:
    `getOldValue` in interface `LookupResultsInterface`
  Returns:
    oldValue. This is the key used during the lookup when attempting to find a match. If it is a PathUrl, it is in 9.2 format.

### success

    public boolean success()

  Deprecated.
  Description copied from interface: `LookupResultsInterface`
  Convenience method. Result is the same as (null != getNewValue())

  Specified by:
    `success` in interface `LookupResultsInterface`
  Returns:
    a value that indicates whether a match was found in the lookup service for the supplied oldValue.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.